toolchain/gcc: switch to version 7 by default
[openwrt/openwrt.git] / toolchain / gcc / Config.in
1 # Choose gcc version.
2
3 choice
4 prompt "GCC compiler Version" if TOOLCHAINOPTS
5 default GCC_USE_VERSION_7_1_ARC if arc
6 default GCC_USE_VERSION_7
7 help
8 Select the version of gcc you wish to use.
9
10 config GCC_USE_VERSION_7_1_ARC
11 select GCC_VERSION_7_1_ARC
12 bool "gcc 7.1.x with support of ARC cores"
13 depends on arc
14
15 config GCC_USE_VERSION_5
16 bool "gcc 5.x"
17 depends on !arc
18
19 config GCC_USE_VERSION_6
20 bool "gcc 6.x"
21 depends on !arc
22
23 config GCC_USE_VERSION_7
24 bool "gcc 7.x"
25 depends on !arc
26
27 endchoice
28
29 config GCC_USE_GRAPHITE
30 bool
31 prompt "Compile in support for the new Graphite framework in GCC 4.4+" if TOOLCHAINOPTS
32
33 config EXTRA_GCC_CONFIG_OPTIONS
34 string
35 prompt "Additional gcc configure options" if TOOLCHAINOPTS
36 default ""
37 help
38 Any additional gcc options you may want to include....
39
40 config GCC_DEFAULT_PIE
41 bool
42 prompt "Build executable with PIE enabled by default" if TOOLCHAINOPTS
43 depends on !GCC_USE_VERSION_5
44 default n
45 help
46 Use gcc configure option --enable-default-pie to turn on -fPIE and -pie by default.
47
48 config GCC_DEFAULT_SSP
49 bool
50 prompt "Build executable with Stack-Smashing Protection enabled by default" if TOOLCHAINOPTS
51 default n
52 help
53 Use gcc configure option --enable-default-ssp to turn on -fstack-protector-strong by default.
54
55 config GCC_LIBSSP
56 bool
57 prompt "Build gcc libssp" if TOOLCHAINOPTS
58 depends on !USE_MUSL
59 default y if !USE_MUSL
60 help
61 Enable Stack-Smashing Protection support
62
63 config SJLJ_EXCEPTIONS
64 bool
65 prompt "Use setjump()/longjump() exceptions" if TOOLCHAINOPTS
66 default n
67 help
68 Use old setjump()/longjump() exceptions instead of the newer
69 frame unwinding exceptions handling routines. Warning: increases
70 code size and runtime memory usage.
71
72 config INSTALL_GFORTRAN
73 bool
74 prompt "Build/install fortran compiler?" if TOOLCHAINOPTS
75 default n
76 help
77 Build/install GNU fortran compiler ?
78
79 config INSTALL_GCCGO
80 bool
81 prompt "Build/install Go compiler?" if TOOLCHAINOPTS
82 depends on USE_GLIBC || BROKEN
83 default n
84 help
85 Build/install GNU gccgo compiler ?